import nodes
import simulator
import gg
import compiler
myCompiler = compiler.ModelAndRuleCompiler(	{	"Processor": ["QualityControl", "Assembler", "RepairMachine"], "FinishedProduct": ["WarAPC", "RiotAPC"], "Part": ["Body", "Wheel", "Tracks", "WaterCannon", "MachineGun"] },
															[	"MachineOperatorToProcessor", "ConveyorBeltToProcessor", "BrokenOutput", "WorkingOutput", "AssemblerToConveyorBelt", "RepairMachineToConveyorBelt", "GeneratorToConveyorBelt", 																"FinishedProductToConveyorBelt", "PartToGenerator", "ConveyorBeltToSink", "ConveyorBeltToConveyorBelt", "PartToConveyorBelt"])	
graphGrammar = gg.GraphGrammar(myCompiler)
rule = gg.Rule("AssembleRiot", 5)
gg_component = gg.LeftHandSide(9020, 11, "", False)
gg_component.setCondition("")
object10765 = nodes.ObjectNode("Assembler_LHS", 10765, 11, gg_component)
object10765.addProperty("GG_Label", 0)
object10765.addProperty("processed_LHS", "")
gg_component.addNode(object10765)
object9029 = nodes.ObjectNode("ConveyorBelt_LHS", 9029, 11, gg_component)
object9029.addProperty("GG_Label", 13)
object9029.addProperty("order_LHS", "")
gg_component.addNode(object9029)
object9047 = nodes.ObjectNode("FinishedProduct_LHS", 9047, 11, gg_component)
object9047.addProperty("GG_Label", 27)
object9047.addProperty("broken_LHS", "")
object9047.addProperty("moved_LHS", "")
gg_component.addNode(object9047)
rel10770 = nodes.RelationshipNode("AssemblerToConveyorBelt_GG", 10770, 11, gg_component)
rel10770.initObjectIDs = [10765, 9029]
rel10770.addProperty("GG_Label", 14)
gg_component.addNode(rel10770)
object10765.addInitRelationshipID(10770)
object9029.addInitRelationshipID(10770)
rel9054 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 9054, 11, gg_component)
rel9054.initObjectIDs = [9047, 9029]
rel9054.addProperty("GG_Label", 28)
gg_component.addNode(rel9054)
object9047.addInitRelationshipID(9054)
object9029.addInitRelationshipID(9054)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(8778, 11, "", False)
gg_component.setCondition("")
object10830 = nodes.ObjectNode("Assembler_LHS", 10830, 11, gg_component)
object10830.addProperty("GG_Label", 0)
object10830.addProperty("processed_LHS", "getAttr() == 0")
gg_component.addNode(object10830)
object8977 = nodes.ObjectNode("Body_LHS", 8977, 11, gg_component)
object8977.addProperty("GG_Label", 23)
object8977.addProperty("moved_LHS", "")
gg_component.addNode(object8977)
object8787 = nodes.ObjectNode("ConveyorBelt_LHS", 8787, 11, gg_component)
object8787.addProperty("GG_Label", 1)
object8787.addProperty("order_LHS", "")
gg_component.addNode(object8787)
object8794 = nodes.ObjectNode("ConveyorBelt_LHS", 8794, 11, gg_component)
object8794.addProperty("GG_Label", 2)
object8794.addProperty("order_LHS", "")
gg_component.addNode(object8794)
object8801 = nodes.ObjectNode("ConveyorBelt_LHS", 8801, 11, gg_component)
object8801.addProperty("GG_Label", 3)
object8801.addProperty("order_LHS", "")
gg_component.addNode(object8801)
object8808 = nodes.ObjectNode("ConveyorBelt_LHS", 8808, 11, gg_component)
object8808.addProperty("GG_Label", 4)
object8808.addProperty("order_LHS", "")
gg_component.addNode(object8808)
object8815 = nodes.ObjectNode("ConveyorBelt_LHS", 8815, 11, gg_component)
object8815.addProperty("GG_Label", 5)
object8815.addProperty("order_LHS", "")
gg_component.addNode(object8815)
object8822 = nodes.ObjectNode("ConveyorBelt_LHS", 8822, 11, gg_component)
object8822.addProperty("GG_Label", 6)
object8822.addProperty("order_LHS", "")
gg_component.addNode(object8822)
object8895 = nodes.ObjectNode("ConveyorBelt_LHS", 8895, 11, gg_component)
object8895.addProperty("GG_Label", 13)
object8895.addProperty("order_LHS", "")
gg_component.addNode(object8895)
object12768 = nodes.ObjectNode("MachineOperator_LHS", 12768, 11, gg_component)
object12768.addProperty("GG_Label", 30)
object12768.addProperty("moved_LHS", "")
gg_component.addNode(object12768)
object8993 = nodes.ObjectNode("WaterCannon_LHS", 8993, 11, gg_component)
object8993.addProperty("GG_Label", 25)
object8993.addProperty("moved_LHS", "")
gg_component.addNode(object8993)
object8913 = nodes.ObjectNode("Wheel_LHS", 8913, 11, gg_component)
object8913.addProperty("GG_Label", 15)
object8913.addProperty("moved_LHS", "")
gg_component.addNode(object8913)
object8918 = nodes.ObjectNode("Wheel_LHS", 8918, 11, gg_component)
object8918.addProperty("GG_Label", 16)
object8918.addProperty("moved_LHS", "")
gg_component.addNode(object8918)
object8923 = nodes.ObjectNode("Wheel_LHS", 8923, 11, gg_component)
object8923.addProperty("GG_Label", 17)
object8923.addProperty("moved_LHS", "")
gg_component.addNode(object8923)
object8928 = nodes.ObjectNode("Wheel_LHS", 8928, 11, gg_component)
object8928.addProperty("GG_Label", 18)
object8928.addProperty("moved_LHS", "")
gg_component.addNode(object8928)
rel10868 = nodes.RelationshipNode("AssemblerToConveyorBelt_GG", 10868, 11, gg_component)
rel10868.initObjectIDs = [10830, 8895]
rel10868.addProperty("GG_Label", 14)
gg_component.addNode(rel10868)
object10830.addInitRelationshipID(10868)
object8895.addInitRelationshipID(10868)
rel8862 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 8862, 11, gg_component)
rel8862.initObjectIDs = [8794, 8787]
rel8862.addProperty("GG_Label", 10)
gg_component.addNode(rel8862)
object8794.addInitRelationshipID(8862)
object8787.addInitRelationshipID(8862)
rel8873 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 8873, 11, gg_component)
rel8873.initObjectIDs = [8801, 8794]
rel8873.addProperty("GG_Label", 11)
gg_component.addNode(rel8873)
object8801.addInitRelationshipID(8873)
object8794.addInitRelationshipID(8873)
rel8884 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 8884, 11, gg_component)
rel8884.initObjectIDs = [8808, 8801]
rel8884.addProperty("GG_Label", 12)
gg_component.addNode(rel8884)
object8808.addInitRelationshipID(8884)
object8801.addInitRelationshipID(8884)
rel10835 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10835, 11, gg_component)
rel10835.initObjectIDs = [8787, 10830]
rel10835.addProperty("GG_Label", 7)
gg_component.addNode(rel10835)
object8787.addInitRelationshipID(10835)
object10830.addInitRelationshipID(10835)
rel10846 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10846, 11, gg_component)
rel10846.initObjectIDs = [8815, 10830]
rel10846.addProperty("GG_Label", 8)
gg_component.addNode(rel10846)
object8815.addInitRelationshipID(10846)
object10830.addInitRelationshipID(10846)
rel10857 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10857, 11, gg_component)
rel10857.initObjectIDs = [8822, 10830]
rel10857.addProperty("GG_Label", 9)
gg_component.addNode(rel10857)
object8822.addInitRelationshipID(10857)
object10830.addInitRelationshipID(10857)
rel12775 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 12775, 11, gg_component)
rel12775.initObjectIDs = [12768, 10830]
rel12775.addProperty("GG_Label", 31)
gg_component.addNode(rel12775)
object12768.addInitRelationshipID(12775)
object10830.addInitRelationshipID(12775)
rel8933 = nodes.RelationshipNode("PartToConveyorBelt_GG", 8933, 11, gg_component)
rel8933.initObjectIDs = [8913, 8808]
rel8933.addProperty("GG_Label", 19)
gg_component.addNode(rel8933)
object8913.addInitRelationshipID(8933)
object8808.addInitRelationshipID(8933)
rel8944 = nodes.RelationshipNode("PartToConveyorBelt_GG", 8944, 11, gg_component)
rel8944.initObjectIDs = [8918, 8801]
rel8944.addProperty("GG_Label", 20)
gg_component.addNode(rel8944)
object8918.addInitRelationshipID(8944)
object8801.addInitRelationshipID(8944)
rel8955 = nodes.RelationshipNode("PartToConveyorBelt_GG", 8955, 11, gg_component)
rel8955.initObjectIDs = [8923, 8794]
rel8955.addProperty("GG_Label", 21)
gg_component.addNode(rel8955)
object8923.addInitRelationshipID(8955)
object8794.addInitRelationshipID(8955)
rel8966 = nodes.RelationshipNode("PartToConveyorBelt_GG", 8966, 11, gg_component)
rel8966.initObjectIDs = [8928, 8787]
rel8966.addProperty("GG_Label", 22)
gg_component.addNode(rel8966)
object8928.addInitRelationshipID(8966)
object8787.addInitRelationshipID(8966)
rel8982 = nodes.RelationshipNode("PartToConveyorBelt_GG", 8982, 11, gg_component)
rel8982.initObjectIDs = [8977, 8815]
rel8982.addProperty("GG_Label", 24)
gg_component.addNode(rel8982)
object8977.addInitRelationshipID(8982)
object8815.addInitRelationshipID(8982)
rel8998 = nodes.RelationshipNode("PartToConveyorBelt_GG", 8998, 11, gg_component)
rel8998.initObjectIDs = [8993, 8822]
rel8998.addProperty("GG_Label", 26)
gg_component.addNode(rel8998)
object8993.addInitRelationshipID(8998)
object8822.addInitRelationshipID(8998)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(9065, 11, "", False)
gg_component.setAction("")
object10781 = nodes.ObjectNode("Assembler_RHS", 10781, 11, gg_component)
object10781.addProperty("GG_Label", 0)
object10781.addProperty("processed_RHS", "1")
gg_component.addNode(object10781)
object9110 = nodes.ObjectNode("ConveyorBelt_RHS", 9110, 11, gg_component)
object9110.addProperty("GG_Label", 1)
object9110.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9110)
object9074 = nodes.ObjectNode("ConveyorBelt_RHS", 9074, 11, gg_component)
object9074.addProperty("GG_Label", 13)
object9074.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9074)
object9117 = nodes.ObjectNode("ConveyorBelt_RHS", 9117, 11, gg_component)
object9117.addProperty("GG_Label", 2)
object9117.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9117)
object9124 = nodes.ObjectNode("ConveyorBelt_RHS", 9124, 11, gg_component)
object9124.addProperty("GG_Label", 3)
object9124.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9124)
object9131 = nodes.ObjectNode("ConveyorBelt_RHS", 9131, 11, gg_component)
object9131.addProperty("GG_Label", 4)
object9131.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9131)
object9138 = nodes.ObjectNode("ConveyorBelt_RHS", 9138, 11, gg_component)
object9138.addProperty("GG_Label", 5)
object9138.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9138)
object9145 = nodes.ObjectNode("ConveyorBelt_RHS", 9145, 11, gg_component)
object9145.addProperty("GG_Label", 6)
object9145.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9145)
object13243 = nodes.ObjectNode("MachineOperator_RHS", 13243, 11, gg_component)
object13243.addProperty("GG_Label", 30)
object13243.addProperty("moved_RHS", "getAttr()")
gg_component.addNode(object13243)
object9092 = nodes.ObjectNode("RiotAPC_RHS", 9092, 11, gg_component)
object9092.addProperty("GG_Label", 27)
object9092.addProperty("broken_RHS", "random.randint(0, 1)")
object9092.addProperty("moved_RHS", "0")
gg_component.addNode(object9092)
rel10819 = nodes.RelationshipNode("AssemblerToConveyorBelt_GG", 10819, 11, gg_component)
rel10819.initObjectIDs = [10781, 9074]
rel10819.addProperty("GG_Label", 14)
gg_component.addNode(rel10819)
object10781.addInitRelationshipID(10819)
object9074.addInitRelationshipID(10819)
rel9185 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 9185, 11, gg_component)
rel9185.initObjectIDs = [9117, 9110]
rel9185.addProperty("GG_Label", 10)
gg_component.addNode(rel9185)
object9117.addInitRelationshipID(9185)
object9110.addInitRelationshipID(9185)
rel9196 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 9196, 11, gg_component)
rel9196.initObjectIDs = [9124, 9117]
rel9196.addProperty("GG_Label", 11)
gg_component.addNode(rel9196)
object9124.addInitRelationshipID(9196)
object9117.addInitRelationshipID(9196)
rel9207 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 9207, 11, gg_component)
rel9207.initObjectIDs = [9131, 9124]
rel9207.addProperty("GG_Label", 12)
gg_component.addNode(rel9207)
object9131.addInitRelationshipID(9207)
object9124.addInitRelationshipID(9207)
rel10786 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10786, 11, gg_component)
rel10786.initObjectIDs = [9110, 10781]
rel10786.addProperty("GG_Label", 7)
gg_component.addNode(rel10786)
object9110.addInitRelationshipID(10786)
object10781.addInitRelationshipID(10786)
rel10797 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10797, 11, gg_component)
rel10797.initObjectIDs = [9138, 10781]
rel10797.addProperty("GG_Label", 8)
gg_component.addNode(rel10797)
object9138.addInitRelationshipID(10797)
object10781.addInitRelationshipID(10797)
rel10808 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10808, 11, gg_component)
rel10808.initObjectIDs = [9145, 10781]
rel10808.addProperty("GG_Label", 9)
gg_component.addNode(rel10808)
object9145.addInitRelationshipID(10808)
object10781.addInitRelationshipID(10808)
rel9099 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 9099, 11, gg_component)
rel9099.initObjectIDs = [9092, 9074]
rel9099.addProperty("GG_Label", 28)
gg_component.addNode(rel9099)
object9092.addInitRelationshipID(9099)
object9074.addInitRelationshipID(9099)
rel13250 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 13250, 11, gg_component)
rel13250.initObjectIDs = [13243, 10781]
rel13250.addProperty("GG_Label", 31)
gg_component.addNode(rel13250)
object13243.addInitRelationshipID(13250)
object10781.addInitRelationshipID(13250)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("AssembleWar", 5)
gg_component = gg.LeftHandSide(9507, 11, "", False)
gg_component.setCondition("")
object10879 = nodes.ObjectNode("Assembler_LHS", 10879, 11, gg_component)
object10879.addProperty("GG_Label", 0)
object10879.addProperty("processed_LHS", "")
gg_component.addNode(object10879)
object9029 = nodes.ObjectNode("ConveyorBelt_LHS", 9029, 11, gg_component)
object9029.addProperty("GG_Label", 13)
object9029.addProperty("order_LHS", "")
gg_component.addNode(object9029)
object9047 = nodes.ObjectNode("FinishedProduct_LHS", 9047, 11, gg_component)
object9047.addProperty("GG_Label", 27)
object9047.addProperty("broken_LHS", "")
object9047.addProperty("moved_LHS", "")
gg_component.addNode(object9047)
rel10884 = nodes.RelationshipNode("AssemblerToConveyorBelt_GG", 10884, 11, gg_component)
rel10884.initObjectIDs = [10879, 9029]
rel10884.addProperty("GG_Label", 14)
gg_component.addNode(rel10884)
object10879.addInitRelationshipID(10884)
object9029.addInitRelationshipID(10884)
rel9526 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 9526, 11, gg_component)
rel9526.initObjectIDs = [9047, 9029]
rel9526.addProperty("GG_Label", 28)
gg_component.addNode(rel9526)
object9047.addInitRelationshipID(9526)
object9029.addInitRelationshipID(9526)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(9243, 11, "", False)
gg_component.setCondition("")
object10895 = nodes.ObjectNode("Assembler_LHS", 10895, 11, gg_component)
object10895.addProperty("GG_Label", 0)
object10895.addProperty("processed_LHS", "getAttr() == 0")
gg_component.addNode(object10895)
object8977 = nodes.ObjectNode("Body_LHS", 8977, 11, gg_component)
object8977.addProperty("GG_Label", 23)
object8977.addProperty("moved_LHS", "")
gg_component.addNode(object8977)
object8787 = nodes.ObjectNode("ConveyorBelt_LHS", 8787, 11, gg_component)
object8787.addProperty("GG_Label", 1)
object8787.addProperty("order_LHS", "")
gg_component.addNode(object8787)
object8794 = nodes.ObjectNode("ConveyorBelt_LHS", 8794, 11, gg_component)
object8794.addProperty("GG_Label", 2)
object8794.addProperty("order_LHS", "")
gg_component.addNode(object8794)
object8815 = nodes.ObjectNode("ConveyorBelt_LHS", 8815, 11, gg_component)
object8815.addProperty("GG_Label", 5)
object8815.addProperty("order_LHS", "")
gg_component.addNode(object8815)
object8822 = nodes.ObjectNode("ConveyorBelt_LHS", 8822, 11, gg_component)
object8822.addProperty("GG_Label", 6)
object8822.addProperty("order_LHS", "")
gg_component.addNode(object8822)
object8895 = nodes.ObjectNode("ConveyorBelt_LHS", 8895, 11, gg_component)
object8895.addProperty("GG_Label", 13)
object8895.addProperty("order_LHS", "")
gg_component.addNode(object8895)
object9488 = nodes.ObjectNode("MachineGun_LHS", 9488, 11, gg_component)
object9488.addProperty("GG_Label", 25)
object9488.addProperty("moved_LHS", "")
gg_component.addNode(object9488)
object12786 = nodes.ObjectNode("MachineOperator_LHS", 12786, 11, gg_component)
object12786.addProperty("GG_Label", 30)
object12786.addProperty("moved_LHS", "")
gg_component.addNode(object12786)
object9456 = nodes.ObjectNode("Tracks_LHS", 9456, 11, gg_component)
object9456.addProperty("GG_Label", 17)
object9456.addProperty("moved_LHS", "")
gg_component.addNode(object9456)
object9461 = nodes.ObjectNode("Tracks_LHS", 9461, 11, gg_component)
object9461.addProperty("GG_Label", 18)
object9461.addProperty("moved_LHS", "")
gg_component.addNode(object9461)
rel10933 = nodes.RelationshipNode("AssemblerToConveyorBelt_GG", 10933, 11, gg_component)
rel10933.initObjectIDs = [10895, 8895]
rel10933.addProperty("GG_Label", 14)
gg_component.addNode(rel10933)
object10895.addInitRelationshipID(10933)
object8895.addInitRelationshipID(10933)
rel9436 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 9436, 11, gg_component)
rel9436.initObjectIDs = [8794, 8787]
rel9436.addProperty("GG_Label", 10)
gg_component.addNode(rel9436)
object8794.addInitRelationshipID(9436)
object8787.addInitRelationshipID(9436)
rel10900 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10900, 11, gg_component)
rel10900.initObjectIDs = [8787, 10895]
rel10900.addProperty("GG_Label", 7)
gg_component.addNode(rel10900)
object8787.addInitRelationshipID(10900)
object10895.addInitRelationshipID(10900)
rel10911 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10911, 11, gg_component)
rel10911.initObjectIDs = [8815, 10895]
rel10911.addProperty("GG_Label", 8)
gg_component.addNode(rel10911)
object8815.addInitRelationshipID(10911)
object10895.addInitRelationshipID(10911)
rel10922 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10922, 11, gg_component)
rel10922.initObjectIDs = [8822, 10895]
rel10922.addProperty("GG_Label", 9)
gg_component.addNode(rel10922)
object8822.addInitRelationshipID(10922)
object10895.addInitRelationshipID(10922)
rel12793 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 12793, 11, gg_component)
rel12793.initObjectIDs = [12786, 10895]
rel12793.addProperty("GG_Label", 31)
gg_component.addNode(rel12793)
object12786.addInitRelationshipID(12793)
object10895.addInitRelationshipID(12793)
rel9477 = nodes.RelationshipNode("PartToConveyorBelt_GG", 9477, 11, gg_component)
rel9477.initObjectIDs = [9456, 8794]
rel9477.addProperty("GG_Label", 21)
gg_component.addNode(rel9477)
object9456.addInitRelationshipID(9477)
object8794.addInitRelationshipID(9477)
rel9466 = nodes.RelationshipNode("PartToConveyorBelt_GG", 9466, 11, gg_component)
rel9466.initObjectIDs = [9461, 8787]
rel9466.addProperty("GG_Label", 22)
gg_component.addNode(rel9466)
object9461.addInitRelationshipID(9466)
object8787.addInitRelationshipID(9466)
rel9368 = nodes.RelationshipNode("PartToConveyorBelt_GG", 9368, 11, gg_component)
rel9368.initObjectIDs = [8977, 8815]
rel9368.addProperty("GG_Label", 24)
gg_component.addNode(rel9368)
object8977.addInitRelationshipID(9368)
object8815.addInitRelationshipID(9368)
rel9493 = nodes.RelationshipNode("PartToConveyorBelt_GG", 9493, 11, gg_component)
rel9493.initObjectIDs = [9488, 8822]
rel9493.addProperty("GG_Label", 26)
gg_component.addNode(rel9493)
object9488.addInitRelationshipID(9493)
object8822.addInitRelationshipID(9493)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(9544, 11, "", False)
gg_component.setAction("")
object10944 = nodes.ObjectNode("Assembler_RHS", 10944, 11, gg_component)
object10944.addProperty("GG_Label", 0)
object10944.addProperty("processed_RHS", "1")
gg_component.addNode(object10944)
object9110 = nodes.ObjectNode("ConveyorBelt_RHS", 9110, 11, gg_component)
object9110.addProperty("GG_Label", 1)
object9110.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9110)
object9074 = nodes.ObjectNode("ConveyorBelt_RHS", 9074, 11, gg_component)
object9074.addProperty("GG_Label", 13)
object9074.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9074)
object9117 = nodes.ObjectNode("ConveyorBelt_RHS", 9117, 11, gg_component)
object9117.addProperty("GG_Label", 2)
object9117.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9117)
object9138 = nodes.ObjectNode("ConveyorBelt_RHS", 9138, 11, gg_component)
object9138.addProperty("GG_Label", 5)
object9138.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9138)
object9145 = nodes.ObjectNode("ConveyorBelt_RHS", 9145, 11, gg_component)
object9145.addProperty("GG_Label", 6)
object9145.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object9145)
object13261 = nodes.ObjectNode("MachineOperator_RHS", 13261, 11, gg_component)
object13261.addProperty("GG_Label", 30)
object13261.addProperty("moved_RHS", "getAttr()")
gg_component.addNode(object13261)
object9677 = nodes.ObjectNode("WarAPC_RHS", 9677, 11, gg_component)
object9677.addProperty("GG_Label", 27)
object9677.addProperty("broken_RHS", "random.randint(0, 1)")
object9677.addProperty("moved_RHS", "0")
gg_component.addNode(object9677)
rel10982 = nodes.RelationshipNode("AssemblerToConveyorBelt_GG", 10982, 11, gg_component)
rel10982.initObjectIDs = [10944, 9074]
rel10982.addProperty("GG_Label", 14)
gg_component.addNode(rel10982)
object10944.addInitRelationshipID(10982)
object9074.addInitRelationshipID(10982)
rel9605 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 9605, 11, gg_component)
rel9605.initObjectIDs = [9117, 9110]
rel9605.addProperty("GG_Label", 10)
gg_component.addNode(rel9605)
object9117.addInitRelationshipID(9605)
object9110.addInitRelationshipID(9605)
rel10949 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10949, 11, gg_component)
rel10949.initObjectIDs = [9110, 10944]
rel10949.addProperty("GG_Label", 7)
gg_component.addNode(rel10949)
object9110.addInitRelationshipID(10949)
object10944.addInitRelationshipID(10949)
rel10960 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10960, 11, gg_component)
rel10960.initObjectIDs = [9138, 10944]
rel10960.addProperty("GG_Label", 8)
gg_component.addNode(rel10960)
object9138.addInitRelationshipID(10960)
object10944.addInitRelationshipID(10960)
rel10971 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 10971, 11, gg_component)
rel10971.initObjectIDs = [9145, 10944]
rel10971.addProperty("GG_Label", 9)
gg_component.addNode(rel10971)
object9145.addInitRelationshipID(10971)
object10944.addInitRelationshipID(10971)
rel9684 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 9684, 11, gg_component)
rel9684.initObjectIDs = [9677, 9074]
rel9684.addProperty("GG_Label", 28)
gg_component.addNode(rel9684)
object9677.addInitRelationshipID(9684)
object9074.addInitRelationshipID(9684)
rel13268 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 13268, 11, gg_component)
rel13268.initObjectIDs = [13261, 10944]
rel13268.addProperty("GG_Label", 31)
gg_component.addNode(rel13268)
object13261.addInitRelationshipID(13268)
object10944.addInitRelationshipID(13268)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("ControlQuality_NOK", 4)
gg_component = gg.LeftHandSide(8393, 11, "", False)
gg_component.setCondition("")
object8402 = nodes.ObjectNode("ConveyorBelt_LHS", 8402, 11, gg_component)
object8402.addProperty("GG_Label", 1)
object8402.addProperty("order_LHS", "")
gg_component.addNode(object8402)
object8420 = nodes.ObjectNode("ConveyorBelt_LHS", 8420, 11, gg_component)
object8420.addProperty("GG_Label", 5)
object8420.addProperty("order_LHS", "")
gg_component.addNode(object8420)
object8397 = nodes.ObjectNode("QualityControl_LHS", 8397, 11, gg_component)
object8397.addProperty("GG_Label", 0)
object8397.addProperty("processed_LHS", "")
gg_component.addNode(object8397)
object8438 = nodes.ObjectNode("FinishedProduct_LHS", 8438, 11, gg_component)
object8438.addProperty("GG_Label", 7)
object8438.addProperty("broken_LHS", "")
object8438.addProperty("moved_LHS", "")
gg_component.addNode(object8438)
rel8427 = nodes.RelationshipNode("BrokenOutput_GG", 8427, 11, gg_component)
rel8427.initObjectIDs = [8397, 8420]
rel8427.addProperty("GG_Label", 6)
gg_component.addNode(rel8427)
object8397.addInitRelationshipID(8427)
object8420.addInitRelationshipID(8427)
rel8409 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 8409, 11, gg_component)
rel8409.initObjectIDs = [8402, 8397]
rel8409.addProperty("GG_Label", 2)
gg_component.addNode(rel8409)
object8402.addInitRelationshipID(8409)
object8397.addInitRelationshipID(8409)
rel8445 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 8445, 11, gg_component)
rel8445.initObjectIDs = [8438, 8420]
rel8445.addProperty("GG_Label", 8)
gg_component.addNode(rel8445)
object8438.addInitRelationshipID(8445)
object8420.addInitRelationshipID(8445)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(8330, 11, "", False)
gg_component.setCondition("")
object8339 = nodes.ObjectNode("ConveyorBelt_LHS", 8339, 11, gg_component)
object8339.addProperty("GG_Label", 1)
object8339.addProperty("order_LHS", "")
gg_component.addNode(object8339)
object8375 = nodes.ObjectNode("ConveyorBelt_LHS", 8375, 11, gg_component)
object8375.addProperty("GG_Label", 5)
object8375.addProperty("order_LHS", "")
gg_component.addNode(object8375)
object12804 = nodes.ObjectNode("MachineOperator_LHS", 12804, 11, gg_component)
object12804.addProperty("GG_Label", 10)
object12804.addProperty("moved_LHS", "")
gg_component.addNode(object12804)
object8334 = nodes.ObjectNode("QualityControl_LHS", 8334, 11, gg_component)
object8334.addProperty("GG_Label", 0)
object8334.addProperty("processed_LHS", "getAttr() == 0")
gg_component.addNode(object8334)
object8357 = nodes.ObjectNode("FinishedProduct_LHS", 8357, 11, gg_component)
object8357.addProperty("GG_Label", 3)
object8357.addProperty("broken_LHS", "getAttr() == 1")
object8357.addProperty("moved_LHS", "")
gg_component.addNode(object8357)
rel8382 = nodes.RelationshipNode("BrokenOutput_GG", 8382, 11, gg_component)
rel8382.initObjectIDs = [8334, 8375]
rel8382.addProperty("GG_Label", 6)
gg_component.addNode(rel8382)
object8334.addInitRelationshipID(8382)
object8375.addInitRelationshipID(8382)
rel8346 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 8346, 11, gg_component)
rel8346.initObjectIDs = [8339, 8334]
rel8346.addProperty("GG_Label", 2)
gg_component.addNode(rel8346)
object8339.addInitRelationshipID(8346)
object8334.addInitRelationshipID(8346)
rel8364 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 8364, 11, gg_component)
rel8364.initObjectIDs = [8357, 8339]
rel8364.addProperty("GG_Label", 4)
gg_component.addNode(rel8364)
object8357.addInitRelationshipID(8364)
object8339.addInitRelationshipID(8364)
rel12811 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 12811, 11, gg_component)
rel12811.initObjectIDs = [12804, 8334]
rel12811.addProperty("GG_Label", 11)
gg_component.addNode(rel12811)
object12804.addInitRelationshipID(12811)
object8334.addInitRelationshipID(12811)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(8456, 11, "", False)
gg_component.setAction("")
object8465 = nodes.ObjectNode("ConveyorBelt_RHS", 8465, 11, gg_component)
object8465.addProperty("GG_Label", 1)
object8465.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object8465)
object8483 = nodes.ObjectNode("ConveyorBelt_RHS", 8483, 11, gg_component)
object8483.addProperty("GG_Label", 5)
object8483.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object8483)
object13279 = nodes.ObjectNode("MachineOperator_RHS", 13279, 11, gg_component)
object13279.addProperty("GG_Label", 10)
object13279.addProperty("moved_RHS", "getAttr()")
gg_component.addNode(object13279)
object8460 = nodes.ObjectNode("QualityControl_RHS", 8460, 11, gg_component)
object8460.addProperty("GG_Label", 0)
object8460.addProperty("processed_RHS", "1")
gg_component.addNode(object8460)
object8501 = nodes.ObjectNode("FinishedProduct_RHS", 8501, 11, gg_component)
object8501.addProperty("GG_Label", 3)
object8501.addProperty("broken_RHS", "getAttr()")
object8501.addProperty("moved_RHS", "getAttr()")
gg_component.addNode(object8501)
rel8490 = nodes.RelationshipNode("BrokenOutput_GG", 8490, 11, gg_component)
rel8490.initObjectIDs = [8460, 8483]
rel8490.addProperty("GG_Label", 6)
gg_component.addNode(rel8490)
object8460.addInitRelationshipID(8490)
object8483.addInitRelationshipID(8490)
rel8472 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 8472, 11, gg_component)
rel8472.initObjectIDs = [8465, 8460]
rel8472.addProperty("GG_Label", 2)
gg_component.addNode(rel8472)
object8465.addInitRelationshipID(8472)
object8460.addInitRelationshipID(8472)
rel8508 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 8508, 11, gg_component)
rel8508.initObjectIDs = [8501, 8483]
rel8508.addProperty("GG_Label", 7)
gg_component.addNode(rel8508)
object8501.addInitRelationshipID(8508)
object8483.addInitRelationshipID(8508)
rel13286 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 13286, 11, gg_component)
rel13286.initObjectIDs = [13279, 8460]
rel13286.addProperty("GG_Label", 11)
gg_component.addNode(rel13286)
object13279.addInitRelationshipID(13286)
object8460.addInitRelationshipID(13286)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("ControlQuality_OK", 4)
gg_component = gg.LeftHandSide(8161, 11, "", False)
gg_component.setCondition("")
object8170 = nodes.ObjectNode("ConveyorBelt_LHS", 8170, 11, gg_component)
object8170.addProperty("GG_Label", 1)
object8170.addProperty("order_LHS", "")
gg_component.addNode(object8170)
object8188 = nodes.ObjectNode("ConveyorBelt_LHS", 8188, 11, gg_component)
object8188.addProperty("GG_Label", 4)
object8188.addProperty("order_LHS", "")
gg_component.addNode(object8188)
object8165 = nodes.ObjectNode("QualityControl_LHS", 8165, 11, gg_component)
object8165.addProperty("GG_Label", 0)
object8165.addProperty("processed_LHS", "getAttr() == 0")
gg_component.addNode(object8165)
object8206 = nodes.ObjectNode("FinishedProduct_LHS", 8206, 11, gg_component)
object8206.addProperty("GG_Label", 8)
object8206.addProperty("broken_LHS", "")
object8206.addProperty("moved_LHS", "")
gg_component.addNode(object8206)
rel8177 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 8177, 11, gg_component)
rel8177.initObjectIDs = [8170, 8165]
rel8177.addProperty("GG_Label", 3)
gg_component.addNode(rel8177)
object8170.addInitRelationshipID(8177)
object8165.addInitRelationshipID(8177)
rel8213 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 8213, 11, gg_component)
rel8213.initObjectIDs = [8206, 8188]
rel8213.addProperty("GG_Label", 9)
gg_component.addNode(rel8213)
object8206.addInitRelationshipID(8213)
object8188.addInitRelationshipID(8213)
rel8195 = nodes.RelationshipNode("WorkingOutput_GG", 8195, 11, gg_component)
rel8195.initObjectIDs = [8165, 8188]
rel8195.addProperty("GG_Label", 5)
gg_component.addNode(rel8195)
object8165.addInitRelationshipID(8195)
object8188.addInitRelationshipID(8195)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(8096, 11, "", False)
gg_component.setCondition("")
object8105 = nodes.ObjectNode("ConveyorBelt_LHS", 8105, 11, gg_component)
object8105.addProperty("GG_Label", 1)
object8105.addProperty("order_LHS", "")
gg_component.addNode(object8105)
object8123 = nodes.ObjectNode("ConveyorBelt_LHS", 8123, 11, gg_component)
object8123.addProperty("GG_Label", 4)
object8123.addProperty("order_LHS", "")
gg_component.addNode(object8123)
object12822 = nodes.ObjectNode("MachineOperator_LHS", 12822, 11, gg_component)
object12822.addProperty("GG_Label", 10)
object12822.addProperty("moved_LHS", "")
gg_component.addNode(object12822)
object8100 = nodes.ObjectNode("QualityControl_LHS", 8100, 11, gg_component)
object8100.addProperty("GG_Label", 0)
object8100.addProperty("processed_LHS", "")
gg_component.addNode(object8100)
object8143 = nodes.ObjectNode("FinishedProduct_LHS", 8143, 11, gg_component)
object8143.addProperty("GG_Label", 6)
object8143.addProperty("broken_LHS", "getAttr() == 0")
object8143.addProperty("moved_LHS", "")
gg_component.addNode(object8143)
rel8112 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 8112, 11, gg_component)
rel8112.initObjectIDs = [8105, 8100]
rel8112.addProperty("GG_Label", 3)
gg_component.addNode(rel8112)
object8105.addInitRelationshipID(8112)
object8100.addInitRelationshipID(8112)
rel8150 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 8150, 11, gg_component)
rel8150.initObjectIDs = [8143, 8105]
rel8150.addProperty("GG_Label", 7)
gg_component.addNode(rel8150)
object8143.addInitRelationshipID(8150)
object8105.addInitRelationshipID(8150)
rel12829 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 12829, 11, gg_component)
rel12829.initObjectIDs = [12822, 8100]
rel12829.addProperty("GG_Label", 11)
gg_component.addNode(rel12829)
object12822.addInitRelationshipID(12829)
object8100.addInitRelationshipID(12829)
rel8130 = nodes.RelationshipNode("WorkingOutput_GG", 8130, 11, gg_component)
rel8130.initObjectIDs = [8100, 8123]
rel8130.addProperty("GG_Label", 5)
gg_component.addNode(rel8130)
object8100.addInitRelationshipID(8130)
object8123.addInitRelationshipID(8130)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(8224, 11, "", False)
gg_component.setAction("")
object8233 = nodes.ObjectNode("ConveyorBelt_RHS", 8233, 11, gg_component)
object8233.addProperty("GG_Label", 1)
object8233.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object8233)
object8251 = nodes.ObjectNode("ConveyorBelt_RHS", 8251, 11, gg_component)
object8251.addProperty("GG_Label", 4)
object8251.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object8251)
object13297 = nodes.ObjectNode("MachineOperator_RHS", 13297, 11, gg_component)
object13297.addProperty("GG_Label", 10)
object13297.addProperty("moved_RHS", "getAttr()")
gg_component.addNode(object13297)
object8228 = nodes.ObjectNode("QualityControl_RHS", 8228, 11, gg_component)
object8228.addProperty("GG_Label", 0)
object8228.addProperty("processed_RHS", "1")
gg_component.addNode(object8228)
object8276 = nodes.ObjectNode("FinishedProduct_RHS", 8276, 11, gg_component)
object8276.addProperty("GG_Label", 6)
object8276.addProperty("broken_RHS", "getAttr()")
object8276.addProperty("moved_RHS", "getAttr()")
gg_component.addNode(object8276)
rel8240 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 8240, 11, gg_component)
rel8240.initObjectIDs = [8233, 8228]
rel8240.addProperty("GG_Label", 3)
gg_component.addNode(rel8240)
object8233.addInitRelationshipID(8240)
object8228.addInitRelationshipID(8240)
rel8283 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 8283, 11, gg_component)
rel8283.initObjectIDs = [8276, 8251]
rel8283.addProperty("GG_Label", 8)
gg_component.addNode(rel8283)
object8276.addInitRelationshipID(8283)
object8251.addInitRelationshipID(8283)
rel13304 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 13304, 11, gg_component)
rel13304.initObjectIDs = [13297, 8228]
rel13304.addProperty("GG_Label", 11)
gg_component.addNode(rel13304)
object13297.addInitRelationshipID(13304)
object8228.addInitRelationshipID(13304)
rel8258 = nodes.RelationshipNode("WorkingOutput_GG", 8258, 11, gg_component)
rel8258.initObjectIDs = [8228, 8251]
rel8258.addProperty("GG_Label", 5)
gg_component.addNode(rel8258)
object8228.addInitRelationshipID(8258)
object8251.addInitRelationshipID(8258)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("GenerateBody", 7)
gg_component = gg.LeftHandSide(9972, 11, "", False)
gg_component.setCondition("")
object9840 = nodes.ObjectNode("ConveyorBelt_LHS", 9840, 11, gg_component)
object9840.addProperty("GG_Label", 3)
object9840.addProperty("order_LHS", "")
gg_component.addNode(object9840)
object9833 = nodes.ObjectNode("Generator_LHS", 9833, 11, gg_component)
object9833.addProperty("GG_Label", 0)
object9833.addProperty("amount_LHS", "")
object9833.addProperty("generated_LHS", "")
gg_component.addNode(object9833)
object9858 = nodes.ObjectNode("Part_LHS", 9858, 11, gg_component)
object9858.addProperty("GG_Label", 5)
object9858.addProperty("moved_LHS", "")
gg_component.addNode(object9858)
rel9987 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 9987, 11, gg_component)
rel9987.initObjectIDs = [9833, 9840]
rel9987.addProperty("GG_Label", 4)
gg_component.addNode(rel9987)
object9833.addInitRelationshipID(9987)
object9840.addInitRelationshipID(9987)
rel9999 = nodes.RelationshipNode("PartToConveyorBelt_GG", 9999, 11, gg_component)
rel9999.initObjectIDs = [9858, 9840]
rel9999.addProperty("GG_Label", 6)
gg_component.addNode(rel9999)
object9858.addInitRelationshipID(9999)
object9840.addInitRelationshipID(9999)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(10311, 11, "", False)
gg_component.setCondition("")
object10322 = nodes.ObjectNode("Body_LHS", 10322, 11, gg_component)
object10322.addProperty("GG_Label", 1)
object10322.addProperty("moved_LHS", "")
gg_component.addNode(object10322)
object10338 = nodes.ObjectNode("ConveyorBelt_LHS", 10338, 11, gg_component)
object10338.addProperty("GG_Label", 3)
object10338.addProperty("order_LHS", "")
gg_component.addNode(object10338)
object10315 = nodes.ObjectNode("Generator_LHS", 10315, 11, gg_component)
object10315.addProperty("GG_Label", 0)
object10315.addProperty("amount_LHS", "getAttr() > 0")
object10315.addProperty("generated_LHS", "getAttr() == 0")
gg_component.addNode(object10315)
rel10345 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10345, 11, gg_component)
rel10345.initObjectIDs = [10315, 10338]
rel10345.addProperty("GG_Label", 4)
gg_component.addNode(rel10345)
object10315.addInitRelationshipID(10345)
object10338.addInitRelationshipID(10345)
rel10327 = nodes.RelationshipNode("PartToGenerator_GG", 10327, 11, gg_component)
rel10327.initObjectIDs = [10322, 10315]
rel10327.addProperty("GG_Label", 2)
gg_component.addNode(rel10327)
object10322.addInitRelationshipID(10327)
object10315.addInitRelationshipID(10327)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(10356, 11, "", False)
gg_component.setAction("")
object10367 = nodes.ObjectNode("Body_RHS", 10367, 11, gg_component)
object10367.addProperty("GG_Label", 1)
object10367.addProperty("moved_RHS", "")
gg_component.addNode(object10367)
object10401 = nodes.ObjectNode("Body_RHS", 10401, 11, gg_component)
object10401.addProperty("GG_Label", 5)
object10401.addProperty("moved_RHS", "0")
gg_component.addNode(object10401)
object10383 = nodes.ObjectNode("ConveyorBelt_RHS", 10383, 11, gg_component)
object10383.addProperty("GG_Label", 3)
object10383.addProperty("order_RHS", "")
gg_component.addNode(object10383)
object10360 = nodes.ObjectNode("Generator_RHS", 10360, 11, gg_component)
object10360.addProperty("GG_Label", 0)
object10360.addProperty("amount_RHS", "getAttr() - 1")
object10360.addProperty("generated_RHS", "1")
gg_component.addNode(object10360)
rel10390 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10390, 11, gg_component)
rel10390.initObjectIDs = [10360, 10383]
rel10390.addProperty("GG_Label", 4)
gg_component.addNode(rel10390)
object10360.addInitRelationshipID(10390)
object10383.addInitRelationshipID(10390)
rel10406 = nodes.RelationshipNode("PartToConveyorBelt_GG", 10406, 11, gg_component)
rel10406.initObjectIDs = [10401, 10383]
rel10406.addProperty("GG_Label", 6)
gg_component.addNode(rel10406)
object10401.addInitRelationshipID(10406)
object10383.addInitRelationshipID(10406)
rel10372 = nodes.RelationshipNode("PartToGenerator_GG", 10372, 11, gg_component)
rel10372.initObjectIDs = [10367, 10360]
rel10372.addProperty("GG_Label", 2)
gg_component.addNode(rel10372)
object10367.addInitRelationshipID(10372)
object10360.addInitRelationshipID(10372)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("GenerateMachineGun", 7)
gg_component = gg.LeftHandSide(9829, 11, "", False)
gg_component.setCondition("")
object9840 = nodes.ObjectNode("ConveyorBelt_LHS", 9840, 11, gg_component)
object9840.addProperty("GG_Label", 3)
object9840.addProperty("order_LHS", "")
gg_component.addNode(object9840)
object9833 = nodes.ObjectNode("Generator_LHS", 9833, 11, gg_component)
object9833.addProperty("GG_Label", 0)
object9833.addProperty("amount_LHS", "")
object9833.addProperty("generated_LHS", "")
gg_component.addNode(object9833)
object9858 = nodes.ObjectNode("Part_LHS", 9858, 11, gg_component)
object9858.addProperty("GG_Label", 5)
object9858.addProperty("moved_LHS", "")
gg_component.addNode(object9858)
rel9847 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 9847, 11, gg_component)
rel9847.initObjectIDs = [9833, 9840]
rel9847.addProperty("GG_Label", 4)
gg_component.addNode(rel9847)
object9833.addInitRelationshipID(9847)
object9840.addInitRelationshipID(9847)
rel9863 = nodes.RelationshipNode("PartToConveyorBelt_GG", 9863, 11, gg_component)
rel9863.initObjectIDs = [9858, 9840]
rel9863.addProperty("GG_Label", 6)
gg_component.addNode(rel9863)
object9858.addInitRelationshipID(9863)
object9840.addInitRelationshipID(9863)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(9784, 11, "", False)
gg_component.setCondition("")
object9811 = nodes.ObjectNode("ConveyorBelt_LHS", 9811, 11, gg_component)
object9811.addProperty("GG_Label", 3)
object9811.addProperty("order_LHS", "getAttr()")
gg_component.addNode(object9811)
object9788 = nodes.ObjectNode("Generator_LHS", 9788, 11, gg_component)
object9788.addProperty("GG_Label", 0)
object9788.addProperty("amount_LHS", "getAttr() > 0")
object9788.addProperty("generated_LHS", "getAttr() == 0")
gg_component.addNode(object9788)
object9795 = nodes.ObjectNode("MachineGun_LHS", 9795, 11, gg_component)
object9795.addProperty("GG_Label", 1)
object9795.addProperty("moved_LHS", "")
gg_component.addNode(object9795)
rel9818 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 9818, 11, gg_component)
rel9818.initObjectIDs = [9788, 9811]
rel9818.addProperty("GG_Label", 4)
gg_component.addNode(rel9818)
object9788.addInitRelationshipID(9818)
object9811.addInitRelationshipID(9818)
rel9800 = nodes.RelationshipNode("PartToGenerator_GG", 9800, 11, gg_component)
rel9800.initObjectIDs = [9795, 9788]
rel9800.addProperty("GG_Label", 2)
gg_component.addNode(rel9800)
object9795.addInitRelationshipID(9800)
object9788.addInitRelationshipID(9800)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(10133, 11, "", False)
gg_component.setAction("")
object10160 = nodes.ObjectNode("ConveyorBelt_RHS", 10160, 11, gg_component)
object10160.addProperty("GG_Label", 3)
object10160.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object10160)
object10137 = nodes.ObjectNode("Generator_RHS", 10137, 11, gg_component)
object10137.addProperty("GG_Label", 0)
object10137.addProperty("amount_RHS", "getAttr() - 1")
object10137.addProperty("generated_RHS", "1")
gg_component.addNode(object10137)
object10144 = nodes.ObjectNode("MachineGun_RHS", 10144, 11, gg_component)
object10144.addProperty("GG_Label", 1)
object10144.addProperty("moved_RHS", "")
gg_component.addNode(object10144)
object10178 = nodes.ObjectNode("MachineGun_RHS", 10178, 11, gg_component)
object10178.addProperty("GG_Label", 5)
object10178.addProperty("moved_RHS", "0")
gg_component.addNode(object10178)
rel10167 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10167, 11, gg_component)
rel10167.initObjectIDs = [10137, 10160]
rel10167.addProperty("GG_Label", 4)
gg_component.addNode(rel10167)
object10137.addInitRelationshipID(10167)
object10160.addInitRelationshipID(10167)
rel10183 = nodes.RelationshipNode("PartToConveyorBelt_GG", 10183, 11, gg_component)
rel10183.initObjectIDs = [10178, 10160]
rel10183.addProperty("GG_Label", 6)
gg_component.addNode(rel10183)
object10178.addInitRelationshipID(10183)
object10160.addInitRelationshipID(10183)
rel10149 = nodes.RelationshipNode("PartToGenerator_GG", 10149, 11, gg_component)
rel10149.initObjectIDs = [10144, 10137]
rel10149.addProperty("GG_Label", 2)
gg_component.addNode(rel10149)
object10144.addInitRelationshipID(10149)
object10137.addInitRelationshipID(10149)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("GenerateTracks", 7)
gg_component = gg.LeftHandSide(10096, 11, "", False)
gg_component.setCondition("")
object9840 = nodes.ObjectNode("ConveyorBelt_LHS", 9840, 11, gg_component)
object9840.addProperty("GG_Label", 3)
object9840.addProperty("order_LHS", "")
gg_component.addNode(object9840)
object9833 = nodes.ObjectNode("Generator_LHS", 9833, 11, gg_component)
object9833.addProperty("GG_Label", 0)
object9833.addProperty("amount_LHS", "")
object9833.addProperty("generated_LHS", "")
gg_component.addNode(object9833)
object9858 = nodes.ObjectNode("Part_LHS", 9858, 11, gg_component)
object9858.addProperty("GG_Label", 5)
object9858.addProperty("moved_LHS", "")
gg_component.addNode(object9858)
rel10111 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10111, 11, gg_component)
rel10111.initObjectIDs = [9833, 9840]
rel10111.addProperty("GG_Label", 4)
gg_component.addNode(rel10111)
object9833.addInitRelationshipID(10111)
object9840.addInitRelationshipID(10111)
rel10123 = nodes.RelationshipNode("PartToConveyorBelt_GG", 10123, 11, gg_component)
rel10123.initObjectIDs = [9858, 9840]
rel10123.addProperty("GG_Label", 6)
gg_component.addNode(rel10123)
object9858.addInitRelationshipID(10123)
object9840.addInitRelationshipID(10123)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(10523, 11, "", False)
gg_component.setCondition("")
object10550 = nodes.ObjectNode("ConveyorBelt_LHS", 10550, 11, gg_component)
object10550.addProperty("GG_Label", 3)
object10550.addProperty("order_LHS", "")
gg_component.addNode(object10550)
object10527 = nodes.ObjectNode("Generator_LHS", 10527, 11, gg_component)
object10527.addProperty("GG_Label", 0)
object10527.addProperty("amount_LHS", "getAttr() > 0")
object10527.addProperty("generated_LHS", "getAttr() == 0")
gg_component.addNode(object10527)
object10534 = nodes.ObjectNode("Tracks_LHS", 10534, 11, gg_component)
object10534.addProperty("GG_Label", 1)
object10534.addProperty("moved_LHS", "")
gg_component.addNode(object10534)
rel10557 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10557, 11, gg_component)
rel10557.initObjectIDs = [10527, 10550]
rel10557.addProperty("GG_Label", 4)
gg_component.addNode(rel10557)
object10527.addInitRelationshipID(10557)
object10550.addInitRelationshipID(10557)
rel10539 = nodes.RelationshipNode("PartToGenerator_GG", 10539, 11, gg_component)
rel10539.initObjectIDs = [10534, 10527]
rel10539.addProperty("GG_Label", 2)
gg_component.addNode(rel10539)
object10534.addInitRelationshipID(10539)
object10527.addInitRelationshipID(10539)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(10568, 11, "", False)
gg_component.setAction("")
object10595 = nodes.ObjectNode("ConveyorBelt_RHS", 10595, 11, gg_component)
object10595.addProperty("GG_Label", 3)
object10595.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object10595)
object10572 = nodes.ObjectNode("Generator_RHS", 10572, 11, gg_component)
object10572.addProperty("GG_Label", 0)
object10572.addProperty("amount_RHS", "getAttr() - 1")
object10572.addProperty("generated_RHS", "1")
gg_component.addNode(object10572)
object10579 = nodes.ObjectNode("Tracks_RHS", 10579, 11, gg_component)
object10579.addProperty("GG_Label", 1)
object10579.addProperty("moved_RHS", "")
gg_component.addNode(object10579)
object10613 = nodes.ObjectNode("Tracks_RHS", 10613, 11, gg_component)
object10613.addProperty("GG_Label", 5)
object10613.addProperty("moved_RHS", "0")
gg_component.addNode(object10613)
rel10602 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10602, 11, gg_component)
rel10602.initObjectIDs = [10572, 10595]
rel10602.addProperty("GG_Label", 4)
gg_component.addNode(rel10602)
object10572.addInitRelationshipID(10602)
object10595.addInitRelationshipID(10602)
rel10618 = nodes.RelationshipNode("PartToConveyorBelt_GG", 10618, 11, gg_component)
rel10618.initObjectIDs = [10613, 10595]
rel10618.addProperty("GG_Label", 6)
gg_component.addNode(rel10618)
object10613.addInitRelationshipID(10618)
object10595.addInitRelationshipID(10618)
rel10584 = nodes.RelationshipNode("PartToGenerator_GG", 10584, 11, gg_component)
rel10584.initObjectIDs = [10579, 10572]
rel10584.addProperty("GG_Label", 2)
gg_component.addNode(rel10584)
object10579.addInitRelationshipID(10584)
object10572.addInitRelationshipID(10584)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("GenerateWaterCannon", 7)
gg_component = gg.LeftHandSide(9910, 11, "", False)
gg_component.setCondition("")
object9840 = nodes.ObjectNode("ConveyorBelt_LHS", 9840, 11, gg_component)
object9840.addProperty("GG_Label", 3)
object9840.addProperty("order_LHS", "")
gg_component.addNode(object9840)
object9833 = nodes.ObjectNode("Generator_LHS", 9833, 11, gg_component)
object9833.addProperty("GG_Label", 0)
object9833.addProperty("amount_LHS", "")
object9833.addProperty("generated_LHS", "")
gg_component.addNode(object9833)
object9858 = nodes.ObjectNode("Part_LHS", 9858, 11, gg_component)
object9858.addProperty("GG_Label", 5)
object9858.addProperty("moved_LHS", "")
gg_component.addNode(object9858)
rel9927 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 9927, 11, gg_component)
rel9927.initObjectIDs = [9833, 9840]
rel9927.addProperty("GG_Label", 4)
gg_component.addNode(rel9927)
object9833.addInitRelationshipID(9927)
object9840.addInitRelationshipID(9927)
rel9935 = nodes.RelationshipNode("PartToConveyorBelt_GG", 9935, 11, gg_component)
rel9935.initObjectIDs = [9858, 9840]
rel9935.addProperty("GG_Label", 6)
gg_component.addNode(rel9935)
object9858.addInitRelationshipID(9935)
object9840.addInitRelationshipID(9935)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(10194, 11, "", False)
gg_component.setCondition("")
object10221 = nodes.ObjectNode("ConveyorBelt_LHS", 10221, 11, gg_component)
object10221.addProperty("GG_Label", 3)
object10221.addProperty("order_LHS", "")
gg_component.addNode(object10221)
object10198 = nodes.ObjectNode("Generator_LHS", 10198, 11, gg_component)
object10198.addProperty("GG_Label", 0)
object10198.addProperty("amount_LHS", "getAttr() > 0")
object10198.addProperty("generated_LHS", "getAttr() == 0")
gg_component.addNode(object10198)
object10205 = nodes.ObjectNode("WaterCannon_LHS", 10205, 11, gg_component)
object10205.addProperty("GG_Label", 1)
object10205.addProperty("moved_LHS", "")
gg_component.addNode(object10205)
rel10228 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10228, 11, gg_component)
rel10228.initObjectIDs = [10198, 10221]
rel10228.addProperty("GG_Label", 4)
gg_component.addNode(rel10228)
object10198.addInitRelationshipID(10228)
object10221.addInitRelationshipID(10228)
rel10210 = nodes.RelationshipNode("PartToGenerator_GG", 10210, 11, gg_component)
rel10210.initObjectIDs = [10205, 10198]
rel10210.addProperty("GG_Label", 2)
gg_component.addNode(rel10210)
object10205.addInitRelationshipID(10210)
object10198.addInitRelationshipID(10210)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(10250, 11, "", False)
gg_component.setAction("")
object10277 = nodes.ObjectNode("ConveyorBelt_RHS", 10277, 11, gg_component)
object10277.addProperty("GG_Label", 3)
object10277.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object10277)
object10254 = nodes.ObjectNode("Generator_RHS", 10254, 11, gg_component)
object10254.addProperty("GG_Label", 0)
object10254.addProperty("amount_RHS", "getAttr() - 1")
object10254.addProperty("generated_RHS", "1")
gg_component.addNode(object10254)
object10261 = nodes.ObjectNode("WaterCannon_RHS", 10261, 11, gg_component)
object10261.addProperty("GG_Label", 1)
object10261.addProperty("moved_RHS", "")
gg_component.addNode(object10261)
object10295 = nodes.ObjectNode("WaterCannon_RHS", 10295, 11, gg_component)
object10295.addProperty("GG_Label", 5)
object10295.addProperty("moved_RHS", "0")
gg_component.addNode(object10295)
rel10284 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10284, 11, gg_component)
rel10284.initObjectIDs = [10254, 10277]
rel10284.addProperty("GG_Label", 4)
gg_component.addNode(rel10284)
object10254.addInitRelationshipID(10284)
object10277.addInitRelationshipID(10284)
rel10300 = nodes.RelationshipNode("PartToConveyorBelt_GG", 10300, 11, gg_component)
rel10300.initObjectIDs = [10295, 10277]
rel10300.addProperty("GG_Label", 6)
gg_component.addNode(rel10300)
object10295.addInitRelationshipID(10300)
object10277.addInitRelationshipID(10300)
rel10266 = nodes.RelationshipNode("PartToGenerator_GG", 10266, 11, gg_component)
rel10266.initObjectIDs = [10261, 10254]
rel10266.addProperty("GG_Label", 2)
gg_component.addNode(rel10266)
object10261.addInitRelationshipID(10266)
object10254.addInitRelationshipID(10266)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("GenerateWheel", 7)
gg_component = gg.LeftHandSide(10034, 11, "", False)
gg_component.setCondition("")
object9840 = nodes.ObjectNode("ConveyorBelt_LHS", 9840, 11, gg_component)
object9840.addProperty("GG_Label", 3)
object9840.addProperty("order_LHS", "")
gg_component.addNode(object9840)
object9833 = nodes.ObjectNode("Generator_LHS", 9833, 11, gg_component)
object9833.addProperty("GG_Label", 0)
object9833.addProperty("amount_LHS", "")
object9833.addProperty("generated_LHS", "")
gg_component.addNode(object9833)
object9858 = nodes.ObjectNode("Part_LHS", 9858, 11, gg_component)
object9858.addProperty("GG_Label", 5)
object9858.addProperty("moved_LHS", "")
gg_component.addNode(object9858)
rel10051 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10051, 11, gg_component)
rel10051.initObjectIDs = [9833, 9840]
rel10051.addProperty("GG_Label", 4)
gg_component.addNode(rel10051)
object9833.addInitRelationshipID(10051)
object9840.addInitRelationshipID(10051)
rel10061 = nodes.RelationshipNode("PartToConveyorBelt_GG", 10061, 11, gg_component)
rel10061.initObjectIDs = [9858, 9840]
rel10061.addProperty("GG_Label", 6)
gg_component.addNode(rel10061)
object9858.addInitRelationshipID(10061)
object9840.addInitRelationshipID(10061)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(10417, 11, "", False)
gg_component.setCondition("")
object10444 = nodes.ObjectNode("ConveyorBelt_LHS", 10444, 11, gg_component)
object10444.addProperty("GG_Label", 3)
object10444.addProperty("order_LHS", "")
gg_component.addNode(object10444)
object10421 = nodes.ObjectNode("Generator_LHS", 10421, 11, gg_component)
object10421.addProperty("GG_Label", 0)
object10421.addProperty("amount_LHS", "getAttr() > 0")
object10421.addProperty("generated_LHS", "getAttr() == 0")
gg_component.addNode(object10421)
object10428 = nodes.ObjectNode("Wheel_LHS", 10428, 11, gg_component)
object10428.addProperty("GG_Label", 1)
object10428.addProperty("moved_LHS", "")
gg_component.addNode(object10428)
rel10451 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10451, 11, gg_component)
rel10451.initObjectIDs = [10421, 10444]
rel10451.addProperty("GG_Label", 4)
gg_component.addNode(rel10451)
object10421.addInitRelationshipID(10451)
object10444.addInitRelationshipID(10451)
rel10433 = nodes.RelationshipNode("PartToGenerator_GG", 10433, 11, gg_component)
rel10433.initObjectIDs = [10428, 10421]
rel10433.addProperty("GG_Label", 2)
gg_component.addNode(rel10433)
object10428.addInitRelationshipID(10433)
object10421.addInitRelationshipID(10433)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(10462, 11, "", False)
gg_component.setAction("")
object10489 = nodes.ObjectNode("ConveyorBelt_RHS", 10489, 11, gg_component)
object10489.addProperty("GG_Label", 3)
object10489.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object10489)
object10466 = nodes.ObjectNode("Generator_RHS", 10466, 11, gg_component)
object10466.addProperty("GG_Label", 0)
object10466.addProperty("amount_RHS", "getAttr() - 1")
object10466.addProperty("generated_RHS", "1")
gg_component.addNode(object10466)
object10473 = nodes.ObjectNode("Wheel_RHS", 10473, 11, gg_component)
object10473.addProperty("GG_Label", 1)
object10473.addProperty("moved_RHS", "")
gg_component.addNode(object10473)
object10507 = nodes.ObjectNode("Wheel_RHS", 10507, 11, gg_component)
object10507.addProperty("GG_Label", 5)
object10507.addProperty("moved_RHS", "0")
gg_component.addNode(object10507)
rel10496 = nodes.RelationshipNode("GeneratorToConveyorBelt_GG", 10496, 11, gg_component)
rel10496.initObjectIDs = [10466, 10489]
rel10496.addProperty("GG_Label", 4)
gg_component.addNode(rel10496)
object10466.addInitRelationshipID(10496)
object10489.addInitRelationshipID(10496)
rel10512 = nodes.RelationshipNode("PartToConveyorBelt_GG", 10512, 11, gg_component)
rel10512.initObjectIDs = [10507, 10489]
rel10512.addProperty("GG_Label", 6)
gg_component.addNode(rel10512)
object10507.addInitRelationshipID(10512)
object10489.addInitRelationshipID(10512)
rel10478 = nodes.RelationshipNode("PartToGenerator_GG", 10478, 11, gg_component)
rel10478.initObjectIDs = [10473, 10466]
rel10478.addProperty("GG_Label", 2)
gg_component.addNode(rel10478)
object10473.addInitRelationshipID(10478)
object10466.addInitRelationshipID(10478)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("MoveFinishedProduct", 6)
gg_component = gg.LeftHandSide(8591, 11, "getAttr('order', 0) < getAttr('order', 1)", False)
gg_component.setCondition("getAttr('order', 0) < getAttr('order', 1)")
object8595 = nodes.ObjectNode("ConveyorBelt_LHS", 8595, 11, gg_component)
object8595.addProperty("GG_Label", 0)
object8595.addProperty("order_LHS", "")
gg_component.addNode(object8595)
object8602 = nodes.ObjectNode("ConveyorBelt_LHS", 8602, 11, gg_component)
object8602.addProperty("GG_Label", 1)
object8602.addProperty("order_LHS", "")
gg_component.addNode(object8602)
object8620 = nodes.ObjectNode("FinishedProduct_LHS", 8620, 11, gg_component)
object8620.addProperty("GG_Label", 5)
object8620.addProperty("broken_LHS", "")
object8620.addProperty("moved_LHS", "")
gg_component.addNode(object8620)
rel8609 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 8609, 11, gg_component)
rel8609.initObjectIDs = [8595, 8602]
rel8609.addProperty("GG_Label", 2)
gg_component.addNode(rel8609)
object8595.addInitRelationshipID(8609)
object8602.addInitRelationshipID(8609)
rel8627 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 8627, 11, gg_component)
rel8627.initObjectIDs = [8620, 8602]
rel8627.addProperty("GG_Label", 6)
gg_component.addNode(rel8627)
object8620.addInitRelationshipID(8627)
object8602.addInitRelationshipID(8627)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(8708, 11, "getAttr('order', 0) < getAttr('order', 1)", False)
gg_component.setCondition("getAttr('order', 0) < getAttr('order', 1)")
object8712 = nodes.ObjectNode("ConveyorBelt_LHS", 8712, 11, gg_component)
object8712.addProperty("GG_Label", 0)
object8712.addProperty("order_LHS", "")
gg_component.addNode(object8712)
object8719 = nodes.ObjectNode("ConveyorBelt_LHS", 8719, 11, gg_component)
object8719.addProperty("GG_Label", 1)
object8719.addProperty("order_LHS", "")
gg_component.addNode(object8719)
object8737 = nodes.ObjectNode("Part_LHS", 8737, 11, gg_component)
object8737.addProperty("GG_Label", 5)
object8737.addProperty("moved_LHS", "")
gg_component.addNode(object8737)
rel8726 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 8726, 11, gg_component)
rel8726.initObjectIDs = [8712, 8719]
rel8726.addProperty("GG_Label", 2)
gg_component.addNode(rel8726)
object8712.addInitRelationshipID(8726)
object8719.addInitRelationshipID(8726)
rel8742 = nodes.RelationshipNode("PartToConveyorBelt_GG", 8742, 11, gg_component)
rel8742.initObjectIDs = [8737, 8719]
rel8742.addProperty("GG_Label", 6)
gg_component.addNode(rel8742)
object8737.addInitRelationshipID(8742)
object8719.addInitRelationshipID(8742)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(8544, 11, "getAttr('order', 0) < getAttr('order', 1)", False)
gg_component.setCondition("getAttr('order', 0) < getAttr('order', 1)")
object8548 = nodes.ObjectNode("ConveyorBelt_LHS", 8548, 11, gg_component)
object8548.addProperty("GG_Label", 0)
object8548.addProperty("order_LHS", "")
gg_component.addNode(object8548)
object8555 = nodes.ObjectNode("ConveyorBelt_LHS", 8555, 11, gg_component)
object8555.addProperty("GG_Label", 1)
object8555.addProperty("order_LHS", "getAttr() > getAttr('order', 0)")
gg_component.addNode(object8555)
object8573 = nodes.ObjectNode("FinishedProduct_LHS", 8573, 11, gg_component)
object8573.addProperty("GG_Label", 3)
object8573.addProperty("broken_LHS", "")
object8573.addProperty("moved_LHS", "getAttr() == 0")
gg_component.addNode(object8573)
rel8562 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 8562, 11, gg_component)
rel8562.initObjectIDs = [8548, 8555]
rel8562.addProperty("GG_Label", 2)
gg_component.addNode(rel8562)
object8548.addInitRelationshipID(8562)
object8555.addInitRelationshipID(8562)
rel8580 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 8580, 11, gg_component)
rel8580.initObjectIDs = [8573, 8548]
rel8580.addProperty("GG_Label", 4)
gg_component.addNode(rel8580)
object8573.addInitRelationshipID(8580)
object8548.addInitRelationshipID(8580)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(11007, 11, "", False)
gg_component.setAction("")
object11011 = nodes.ObjectNode("ConveyorBelt_RHS", 11011, 11, gg_component)
object11011.addProperty("GG_Label", 0)
object11011.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object11011)
object11018 = nodes.ObjectNode("ConveyorBelt_RHS", 11018, 11, gg_component)
object11018.addProperty("GG_Label", 1)
object11018.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object11018)
object11036 = nodes.ObjectNode("FinishedProduct_RHS", 11036, 11, gg_component)
object11036.addProperty("GG_Label", 3)
object11036.addProperty("broken_RHS", "getAttr()")
object11036.addProperty("moved_RHS", "1")
gg_component.addNode(object11036)
rel11025 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 11025, 11, gg_component)
rel11025.initObjectIDs = [11011, 11018]
rel11025.addProperty("GG_Label", 2)
gg_component.addNode(rel11025)
object11011.addInitRelationshipID(11025)
object11018.addInitRelationshipID(11025)
rel11043 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 11043, 11, gg_component)
rel11043.initObjectIDs = [11036, 11018]
rel11043.addProperty("GG_Label", 5)
gg_component.addNode(rel11043)
object11036.addInitRelationshipID(11043)
object11018.addInitRelationshipID(11043)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("MoveOperator", 2)
gg_component = gg.LeftHandSide(7415, 11, "", False)
gg_component.setCondition("")
object7429 = nodes.ObjectNode("MachineOperator_LHS", 7429, 11, gg_component)
object7429.addProperty("GG_Label", 4)
object7429.addProperty("moved_LHS", "")
gg_component.addNode(object7429)
object7419 = nodes.ObjectNode("Processor_LHS", 7419, 11, gg_component)
object7419.addProperty("GG_Label", 0)
object7419.addProperty("processed_LHS", "")
gg_component.addNode(object7419)
object7424 = nodes.ObjectNode("Processor_LHS", 7424, 11, gg_component)
object7424.addProperty("GG_Label", 1)
object7424.addProperty("processed_LHS", "")
gg_component.addNode(object7424)
rel7434 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 7434, 11, gg_component)
rel7434.initObjectIDs = [7429, 7424]
rel7434.addProperty("GG_Label", 5)
gg_component.addNode(rel7434)
object7429.addInitRelationshipID(7434)
object7424.addInitRelationshipID(7434)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(7383, 11, "", False)
gg_component.setCondition("")
object7399 = nodes.ObjectNode("MachineOperator_LHS", 7399, 11, gg_component)
object7399.addProperty("GG_Label", 2)
object7399.addProperty("moved_LHS", "getAttr() == 0")
gg_component.addNode(object7399)
object7387 = nodes.ObjectNode("Processor_LHS", 7387, 11, gg_component)
object7387.addProperty("GG_Label", 0)
object7387.addProperty("processed_LHS", "")
gg_component.addNode(object7387)
object7394 = nodes.ObjectNode("Processor_LHS", 7394, 11, gg_component)
object7394.addProperty("GG_Label", 1)
object7394.addProperty("processed_LHS", "")
gg_component.addNode(object7394)
rel7404 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 7404, 11, gg_component)
rel7404.initObjectIDs = [7399, 7387]
rel7404.addProperty("GG_Label", 3)
gg_component.addNode(rel7404)
object7399.addInitRelationshipID(7404)
object7387.addInitRelationshipID(7404)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(7445, 11, "", False)
gg_component.setAction("")
object7459 = nodes.ObjectNode("MachineOperator_RHS", 7459, 11, gg_component)
object7459.addProperty("GG_Label", 2)
object7459.addProperty("moved_RHS", "1")
gg_component.addNode(object7459)
object7449 = nodes.ObjectNode("Processor_RHS", 7449, 11, gg_component)
object7449.addProperty("GG_Label", 0)
object7449.addProperty("processed_RHS", "getAttr()")
gg_component.addNode(object7449)
object7454 = nodes.ObjectNode("Processor_RHS", 7454, 11, gg_component)
object7454.addProperty("GG_Label", 1)
object7454.addProperty("processed_RHS", "getAttr()")
gg_component.addNode(object7454)
rel7464 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 7464, 11, gg_component)
rel7464.initObjectIDs = [7459, 7454]
rel7464.addProperty("GG_Label", 4)
gg_component.addNode(rel7464)
object7459.addInitRelationshipID(7464)
object7454.addInitRelationshipID(7464)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("MovePart", 6)
gg_component = gg.LeftHandSide(7295, 11, "getAttr('order', 0) < getAttr('order', 1)", False)
gg_component.setCondition("getAttr('order', 0) < getAttr('order', 1)")
object7299 = nodes.ObjectNode("ConveyorBelt_LHS", 7299, 11, gg_component)
object7299.addProperty("GG_Label", 0)
object7299.addProperty("order_LHS", "")
gg_component.addNode(object7299)
object7306 = nodes.ObjectNode("ConveyorBelt_LHS", 7306, 11, gg_component)
object7306.addProperty("GG_Label", 1)
object7306.addProperty("order_LHS", "")
gg_component.addNode(object7306)
object8059 = nodes.ObjectNode("Part_LHS", 8059, 11, gg_component)
object8059.addProperty("GG_Label", 5)
object8059.addProperty("moved_LHS", "")
gg_component.addNode(object8059)
rel7320 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 7320, 11, gg_component)
rel7320.initObjectIDs = [7299, 7306]
rel7320.addProperty("GG_Label", 3)
gg_component.addNode(rel7320)
object7299.addInitRelationshipID(7320)
object7306.addInitRelationshipID(7320)
rel8064 = nodes.RelationshipNode("PartToConveyorBelt_GG", 8064, 11, gg_component)
rel8064.initObjectIDs = [8059, 7306]
rel8064.addProperty("GG_Label", 6)
gg_component.addNode(rel8064)
object8059.addInitRelationshipID(8064)
object7306.addInitRelationshipID(8064)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(8654, 11, "getAttr('order', 0) < getAttr('order', 1)", False)
gg_component.setCondition("getAttr('order', 0) < getAttr('order', 1)")
object8658 = nodes.ObjectNode("ConveyorBelt_LHS", 8658, 11, gg_component)
object8658.addProperty("GG_Label", 0)
object8658.addProperty("order_LHS", "")
gg_component.addNode(object8658)
object8665 = nodes.ObjectNode("ConveyorBelt_LHS", 8665, 11, gg_component)
object8665.addProperty("GG_Label", 1)
object8665.addProperty("order_LHS", "")
gg_component.addNode(object8665)
object8683 = nodes.ObjectNode("FinishedProduct_LHS", 8683, 11, gg_component)
object8683.addProperty("GG_Label", 5)
object8683.addProperty("broken_LHS", "")
object8683.addProperty("moved_LHS", "")
gg_component.addNode(object8683)
rel8672 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 8672, 11, gg_component)
rel8672.initObjectIDs = [8658, 8665]
rel8672.addProperty("GG_Label", 3)
gg_component.addNode(rel8672)
object8658.addInitRelationshipID(8672)
object8665.addInitRelationshipID(8672)
rel8690 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 8690, 11, gg_component)
rel8690.initObjectIDs = [8683, 8665]
rel8690.addProperty("GG_Label", 6)
gg_component.addNode(rel8690)
object8683.addInitRelationshipID(8690)
object8665.addInitRelationshipID(8690)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(6680, 11, "getAttr('order', 0) < getAttr('order', 1)", False)
gg_component.setCondition("getAttr('order', 0) < getAttr('order', 1)")
object6731 = nodes.ObjectNode("ConveyorBelt_LHS", 6731, 11, gg_component)
object6731.addProperty("GG_Label", 0)
object6731.addProperty("order_LHS", "")
gg_component.addNode(object6731)
object6738 = nodes.ObjectNode("ConveyorBelt_LHS", 6738, 11, gg_component)
object6738.addProperty("GG_Label", 1)
object6738.addProperty("order_LHS", "")
gg_component.addNode(object6738)
object7223 = nodes.ObjectNode("Part_LHS", 7223, 11, gg_component)
object7223.addProperty("GG_Label", 2)
object7223.addProperty("moved_LHS", "getAttr() == 0")
gg_component.addNode(object7223)
rel7239 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 7239, 11, gg_component)
rel7239.initObjectIDs = [6731, 6738]
rel7239.addProperty("GG_Label", 3)
gg_component.addNode(rel7239)
object6731.addInitRelationshipID(7239)
object6738.addInitRelationshipID(7239)
rel7228 = nodes.RelationshipNode("PartToConveyorBelt_GG", 7228, 11, gg_component)
rel7228.initObjectIDs = [7223, 6731]
rel7228.addProperty("GG_Label", 4)
gg_component.addNode(rel7228)
object7223.addInitRelationshipID(7228)
object6731.addInitRelationshipID(7228)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(7086, 11, "", False)
gg_component.setAction("")
object7090 = nodes.ObjectNode("ConveyorBelt_RHS", 7090, 11, gg_component)
object7090.addProperty("GG_Label", 0)
object7090.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object7090)
object7097 = nodes.ObjectNode("ConveyorBelt_RHS", 7097, 11, gg_component)
object7097.addProperty("GG_Label", 1)
object7097.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object7097)
object7198 = nodes.ObjectNode("Part_RHS", 7198, 11, gg_component)
object7198.addProperty("GG_Label", 2)
object7198.addProperty("moved_RHS", "1")
gg_component.addNode(object7198)
rel7153 = nodes.RelationshipNode("ConveyorBeltToConveyorBelt_GG", 7153, 11, gg_component)
rel7153.initObjectIDs = [7090, 7097]
rel7153.addProperty("GG_Label", 3)
gg_component.addNode(rel7153)
object7090.addInitRelationshipID(7153)
object7097.addInitRelationshipID(7153)
rel7212 = nodes.RelationshipNode("PartToConveyorBelt_GG", 7212, 11, gg_component)
rel7212.initObjectIDs = [7198, 7097]
rel7212.addProperty("GG_Label", 5)
gg_component.addNode(rel7212)
object7198.addInitRelationshipID(7212)
object7097.addInitRelationshipID(7212)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("Repair", 3)
gg_component = gg.LeftHandSide(7880, 11, "", False)
gg_component.setCondition("")
object7889 = nodes.ObjectNode("ConveyorBelt_LHS", 7889, 11, gg_component)
object7889.addProperty("GG_Label", 1)
object7889.addProperty("order_LHS", "")
gg_component.addNode(object7889)
object7896 = nodes.ObjectNode("ConveyorBelt_LHS", 7896, 11, gg_component)
object7896.addProperty("GG_Label", 5)
object7896.addProperty("order_LHS", "")
gg_component.addNode(object7896)
object7884 = nodes.ObjectNode("RepairMachine_LHS", 7884, 11, gg_component)
object7884.addProperty("GG_Label", 0)
object7884.addProperty("processed_LHS", "")
gg_component.addNode(object7884)
object7925 = nodes.ObjectNode("FinishedProduct_LHS", 7925, 11, gg_component)
object7925.addProperty("GG_Label", 7)
object7925.addProperty("broken_LHS", "")
object7925.addProperty("moved_LHS", "")
gg_component.addNode(object7925)
rel7903 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 7903, 11, gg_component)
rel7903.initObjectIDs = [7889, 7884]
rel7903.addProperty("GG_Label", 4)
gg_component.addNode(rel7903)
object7889.addInitRelationshipID(7903)
object7884.addInitRelationshipID(7903)
rel7932 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 7932, 11, gg_component)
rel7932.initObjectIDs = [7925, 7896]
rel7932.addProperty("GG_Label", 8)
gg_component.addNode(rel7932)
object7925.addInitRelationshipID(7932)
object7896.addInitRelationshipID(7932)
rel7914 = nodes.RelationshipNode("RepairMachineToConveyorBelt_GG", 7914, 11, gg_component)
rel7914.initObjectIDs = [7884, 7896]
rel7914.addProperty("GG_Label", 6)
gg_component.addNode(rel7914)
object7884.addInitRelationshipID(7914)
object7896.addInitRelationshipID(7914)
rule.addNAC(gg_component)
gg_component = gg.LeftHandSide(7817, 11, "", False)
gg_component.setCondition("")
object7826 = nodes.ObjectNode("ConveyorBelt_LHS", 7826, 11, gg_component)
object7826.addProperty("GG_Label", 1)
object7826.addProperty("order_LHS", "")
gg_component.addNode(object7826)
object7862 = nodes.ObjectNode("ConveyorBelt_LHS", 7862, 11, gg_component)
object7862.addProperty("GG_Label", 5)
object7862.addProperty("order_LHS", "")
gg_component.addNode(object7862)
object12847 = nodes.ObjectNode("MachineOperator_LHS", 12847, 11, gg_component)
object12847.addProperty("GG_Label", 10)
object12847.addProperty("moved_LHS", "")
gg_component.addNode(object12847)
object7821 = nodes.ObjectNode("RepairMachine_LHS", 7821, 11, gg_component)
object7821.addProperty("GG_Label", 0)
object7821.addProperty("processed_LHS", "")
gg_component.addNode(object7821)
object7833 = nodes.ObjectNode("FinishedProduct_LHS", 7833, 11, gg_component)
object7833.addProperty("GG_Label", 2)
object7833.addProperty("broken_LHS", "")
object7833.addProperty("moved_LHS", "getAttr() == 0")
gg_component.addNode(object7833)
rel7851 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 7851, 11, gg_component)
rel7851.initObjectIDs = [7826, 7821]
rel7851.addProperty("GG_Label", 4)
gg_component.addNode(rel7851)
object7826.addInitRelationshipID(7851)
object7821.addInitRelationshipID(7851)
rel7840 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 7840, 11, gg_component)
rel7840.initObjectIDs = [7833, 7826]
rel7840.addProperty("GG_Label", 3)
gg_component.addNode(rel7840)
object7833.addInitRelationshipID(7840)
object7826.addInitRelationshipID(7840)
rel12854 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 12854, 11, gg_component)
rel12854.initObjectIDs = [12847, 7821]
rel12854.addProperty("GG_Label", 11)
gg_component.addNode(rel12854)
object12847.addInitRelationshipID(12854)
object7821.addInitRelationshipID(12854)
rel7869 = nodes.RelationshipNode("RepairMachineToConveyorBelt_GG", 7869, 11, gg_component)
rel7869.initObjectIDs = [7821, 7862]
rel7869.addProperty("GG_Label", 6)
gg_component.addNode(rel7869)
object7821.addInitRelationshipID(7869)
object7862.addInitRelationshipID(7869)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(7943, 11, "", False)
gg_component.setAction("")
object7952 = nodes.ObjectNode("ConveyorBelt_RHS", 7952, 11, gg_component)
object7952.addProperty("GG_Label", 1)
object7952.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object7952)
object7970 = nodes.ObjectNode("ConveyorBelt_RHS", 7970, 11, gg_component)
object7970.addProperty("GG_Label", 5)
object7970.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object7970)
object13315 = nodes.ObjectNode("MachineOperator_RHS", 13315, 11, gg_component)
object13315.addProperty("GG_Label", 10)
object13315.addProperty("moved_RHS", "getAttr()")
gg_component.addNode(object13315)
object7947 = nodes.ObjectNode("RepairMachine_RHS", 7947, 11, gg_component)
object7947.addProperty("GG_Label", 0)
object7947.addProperty("processed_RHS", "getAttr()")
gg_component.addNode(object7947)
object11054 = nodes.ObjectNode("FinishedProduct_RHS", 11054, 11, gg_component)
object11054.addProperty("GG_Label", 2)
object11054.addProperty("broken_RHS", "0")
object11054.addProperty("moved_RHS", "getAttr()")
gg_component.addNode(object11054)
rel7959 = nodes.RelationshipNode("ConveyorBeltToProcessor_GG", 7959, 11, gg_component)
rel7959.initObjectIDs = [7952, 7947]
rel7959.addProperty("GG_Label", 4)
gg_component.addNode(rel7959)
object7952.addInitRelationshipID(7959)
object7947.addInitRelationshipID(7959)
rel11061 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 11061, 11, gg_component)
rel11061.initObjectIDs = [11054, 7970]
rel11061.addProperty("GG_Label", 7)
gg_component.addNode(rel11061)
object11054.addInitRelationshipID(11061)
object7970.addInitRelationshipID(11061)
rel13322 = nodes.RelationshipNode("MachineOperatorToProcessor_GG", 13322, 11, gg_component)
rel13322.initObjectIDs = [13315, 7947]
rel13322.addProperty("GG_Label", 11)
gg_component.addNode(rel13322)
object13315.addInitRelationshipID(13322)
object7947.addInitRelationshipID(13322)
rel7977 = nodes.RelationshipNode("RepairMachineToConveyorBelt_GG", 7977, 11, gg_component)
rel7977.initObjectIDs = [7947, 7970]
rel7977.addProperty("GG_Label", 6)
gg_component.addNode(rel7977)
object7947.addInitRelationshipID(7977)
object7970.addInitRelationshipID(7977)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("ResetFinishedProduct", 0)
gg_component = gg.LeftHandSide(12377, 11, "", False)
gg_component.setCondition("")
object12385 = nodes.ObjectNode("FinishedProduct_LHS", 12385, 11, gg_component)
object12385.addProperty("GG_Label", 0)
object12385.addProperty("broken_LHS", "")
object12385.addProperty("moved_LHS", "getAttr() != 0")
gg_component.addNode(object12385)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(12394, 11, "", False)
gg_component.setAction("")
object12402 = nodes.ObjectNode("FinishedProduct_RHS", 12402, 11, gg_component)
object12402.addProperty("GG_Label", 0)
object12402.addProperty("broken_RHS", "getAttr()")
object12402.addProperty("moved_RHS", "0")
gg_component.addNode(object12402)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("ResetGenerator", 0)
gg_component = gg.LeftHandSide(12554, 11, "", False)
gg_component.setCondition("")
object12562 = nodes.ObjectNode("Generator_LHS", 12562, 11, gg_component)
object12562.addProperty("GG_Label", 0)
object12562.addProperty("amount_LHS", "")
object12562.addProperty("generated_LHS", "getAttr() != 0")
gg_component.addNode(object12562)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(12571, 11, "", False)
gg_component.setAction("")
object12579 = nodes.ObjectNode("Generator_RHS", 12579, 11, gg_component)
object12579.addProperty("GG_Label", 0)
object12579.addProperty("amount_RHS", "getAttr()")
object12579.addProperty("generated_RHS", "0")
gg_component.addNode(object12579)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("ResetOperator", 0)
gg_component = gg.LeftHandSide(12323, 11, "", False)
gg_component.setCondition("")
object12331 = nodes.ObjectNode("MachineOperator_LHS", 12331, 11, gg_component)
object12331.addProperty("GG_Label", 0)
object12331.addProperty("moved_LHS", "getAttr() != 0")
gg_component.addNode(object12331)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(12338, 11, "", False)
gg_component.setAction("")
object12346 = nodes.ObjectNode("MachineOperator_RHS", 12346, 11, gg_component)
object12346.addProperty("GG_Label", 0)
object12346.addProperty("moved_RHS", "0")
gg_component.addNode(object12346)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("ResetPart", 0)
gg_component = gg.LeftHandSide(12435, 11, "", False)
gg_component.setCondition("")
object12443 = nodes.ObjectNode("Part_LHS", 12443, 11, gg_component)
object12443.addProperty("GG_Label", 0)
object12443.addProperty("moved_LHS", "getAttr() != 0")
gg_component.addNode(object12443)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(12450, 11, "", False)
gg_component.setAction("")
object12458 = nodes.ObjectNode("Part_RHS", 12458, 11, gg_component)
object12458.addProperty("GG_Label", 0)
object12458.addProperty("moved_RHS", "0")
gg_component.addNode(object12458)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("ResetProcessor", 0)
gg_component = gg.LeftHandSide(12500, 11, "", False)
gg_component.setCondition("")
object12508 = nodes.ObjectNode("Processor_LHS", 12508, 11, gg_component)
object12508.addProperty("GG_Label", 0)
object12508.addProperty("processed_LHS", "getAttr() != 0")
gg_component.addNode(object12508)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(12515, 11, "", False)
gg_component.setAction("")
object12523 = nodes.ObjectNode("Processor_RHS", 12523, 11, gg_component)
object12523.addProperty("GG_Label", 0)
object12523.addProperty("processed_RHS", "0")
gg_component.addNode(object12523)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("ResetSink", 0)
gg_component = gg.LeftHandSide(12114, 11, "", False)
gg_component.setCondition("")
object12122 = nodes.ObjectNode("Sink_LHS", 12122, 11, gg_component)
object12122.addProperty("GG_Label", 0)
object12122.addProperty("finishedRiotAPCs_LHS", "")
object12122.addProperty("finishedWarAPCs_LHS", "")
object12122.addProperty("sunk_LHS", "getAttr() != 0")
gg_component.addNode(object12122)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(12265, 11, "", False)
gg_component.setAction("")
object12273 = nodes.ObjectNode("Sink_RHS", 12273, 11, gg_component)
object12273.addProperty("GG_Label", 0)
object12273.addProperty("finishedRiotAPCs_RHS", "getAttr()")
object12273.addProperty("finishedWarAPCs_RHS", "getAttr()")
object12273.addProperty("sunk_RHS", "0")
gg_component.addNode(object12273)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("SinkRiot", 1)
gg_component = gg.LeftHandSide(7630, 11, "", False)
gg_component.setCondition("")
object7643 = nodes.ObjectNode("ConveyorBelt_LHS", 7643, 11, gg_component)
object7643.addProperty("GG_Label", 1)
object7643.addProperty("order_LHS", "")
gg_component.addNode(object7643)
object7661 = nodes.ObjectNode("RiotAPC_LHS", 7661, 11, gg_component)
object7661.addProperty("GG_Label", 3)
object7661.addProperty("broken_LHS", "")
object7661.addProperty("moved_LHS", "")
gg_component.addNode(object7661)
object7634 = nodes.ObjectNode("Sink_LHS", 7634, 11, gg_component)
object7634.addProperty("GG_Label", 0)
object7634.addProperty("finishedRiotAPCs_LHS", "")
object7634.addProperty("finishedWarAPCs_LHS", "")
object7634.addProperty("sunk_LHS", "getAttr() == 0")
gg_component.addNode(object7634)
rel7650 = nodes.RelationshipNode("ConveyorBeltToSink_GG", 7650, 11, gg_component)
rel7650.initObjectIDs = [7643, 7634]
rel7650.addProperty("GG_Label", 2)
gg_component.addNode(rel7650)
object7643.addInitRelationshipID(7650)
object7634.addInitRelationshipID(7650)
rel7668 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 7668, 11, gg_component)
rel7668.initObjectIDs = [7661, 7643]
rel7668.addProperty("GG_Label", 4)
gg_component.addNode(rel7668)
object7661.addInitRelationshipID(7668)
object7643.addInitRelationshipID(7668)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(7690, 11, "", False)
gg_component.setAction("")
object7703 = nodes.ObjectNode("ConveyorBelt_RHS", 7703, 11, gg_component)
object7703.addProperty("GG_Label", 1)
object7703.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object7703)
object7694 = nodes.ObjectNode("Sink_RHS", 7694, 11, gg_component)
object7694.addProperty("GG_Label", 0)
object7694.addProperty("finishedRiotAPCs_RHS", "getAttr() + 1")
object7694.addProperty("finishedWarAPCs_RHS", "getAttr()")
object7694.addProperty("sunk_RHS", "1")
gg_component.addNode(object7694)
rel7710 = nodes.RelationshipNode("ConveyorBeltToSink_GG", 7710, 11, gg_component)
rel7710.initObjectIDs = [7703, 7694]
rel7710.addProperty("GG_Label", 2)
gg_component.addNode(rel7710)
object7703.addInitRelationshipID(7710)
object7694.addInitRelationshipID(7710)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

rule = gg.Rule("SinkWar", 1)
gg_component = gg.LeftHandSide(7509, 11, "", False)
gg_component.setCondition("")
object7522 = nodes.ObjectNode("ConveyorBelt_LHS", 7522, 11, gg_component)
object7522.addProperty("GG_Label", 1)
object7522.addProperty("order_LHS", "")
gg_component.addNode(object7522)
object7513 = nodes.ObjectNode("Sink_LHS", 7513, 11, gg_component)
object7513.addProperty("GG_Label", 0)
object7513.addProperty("finishedRiotAPCs_LHS", "")
object7513.addProperty("finishedWarAPCs_LHS", "")
object7513.addProperty("sunk_LHS", "getAttr() == 0")
gg_component.addNode(object7513)
object7547 = nodes.ObjectNode("WarAPC_LHS", 7547, 11, gg_component)
object7547.addProperty("GG_Label", 3)
object7547.addProperty("broken_LHS", "")
object7547.addProperty("moved_LHS", "")
gg_component.addNode(object7547)
rel7529 = nodes.RelationshipNode("ConveyorBeltToSink_GG", 7529, 11, gg_component)
rel7529.initObjectIDs = [7522, 7513]
rel7529.addProperty("GG_Label", 2)
gg_component.addNode(rel7529)
object7522.addInitRelationshipID(7529)
object7513.addInitRelationshipID(7529)
rel7554 = nodes.RelationshipNode("FinishedProductToConveyorBelt_GG", 7554, 11, gg_component)
rel7554.initObjectIDs = [7547, 7522]
rel7554.addProperty("GG_Label", 4)
gg_component.addNode(rel7554)
object7547.addInitRelationshipID(7554)
object7522.addInitRelationshipID(7554)
rule.setLHS(gg_component)
gg_component = gg.RightHandSide(7565, 11, "", False)
gg_component.setAction("")
object7594 = nodes.ObjectNode("ConveyorBelt_RHS", 7594, 11, gg_component)
object7594.addProperty("GG_Label", 1)
object7594.addProperty("order_RHS", "getAttr()")
gg_component.addNode(object7594)
object7585 = nodes.ObjectNode("Sink_RHS", 7585, 11, gg_component)
object7585.addProperty("GG_Label", 0)
object7585.addProperty("finishedRiotAPCs_RHS", "getAttr()")
object7585.addProperty("finishedWarAPCs_RHS", "getAttr() + 1")
object7585.addProperty("sunk_RHS", "1")
gg_component.addNode(object7585)
rel7601 = nodes.RelationshipNode("ConveyorBeltToSink_GG", 7601, 11, gg_component)
rel7601.initObjectIDs = [7594, 7585]
rel7601.addProperty("GG_Label", 2)
gg_component.addNode(rel7601)
object7594.addInitRelationshipID(7601)
object7585.addInitRelationshipID(7601)
rule.setRHS(gg_component)
graphGrammar.addRule(rule)

